Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CPersonAttributes

    java.lang.Object
      org.jasig.portal.channels.BaseMultithreadedChannel
          org.jasig.portal.channels.CPersonAttributes

All Implemented Interfaces:
  IMultithreadedChannel, IMultithreadedMimeResponse

    public class CPersonAttributes

extends BaseMultithreadedChannel
implements IMultithreadedMimeResponse

This channel demonstrates the method of obtaining and displaying standard uPortal person attributes. Implements MultithreadedIMimeResponse in order to support the inline display of jpegPhotos Note: for proper operation, one should use an idempotent baseActionURL.

Version:
  $Revision: 1.28 $ $Date: 2005/04/26 16:14:01 $
Author:
  Ken Weiner, kweiner@unicon.net, Yuji Shinozaki, ys2n@virginia.edu

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.channels.BaseMultithreadedChannel
`BaseMultithreadedChannel.ChannelState`

Field Summary
`private static java.lang.String` | `sslLocation`

Fields inherited from class org.jasig.portal.channels.BaseMultithreadedChannel
`channelStateMap, log`

Constructor Summary
`CPersonAttributes()`

Method Summary
`void` | `downloadData(java.io.OutputStream out, java.lang.String uid)` Pass the OutputStream object to the download code if it needs special handling (like outputting a Zip file).
`java.lang.String` | `getContentType(java.lang.String uid)` Returns the MIME type of the content.
`java.util.Map` | `getHeaders(java.lang.String uid)` Returns a list of header values that can be set in the HttpResponse.
`java.io.InputStream` | `getInputStream(java.lang.String uid)` Returns the MIME content in the form of an input stream.
`java.lang.String` | `getName(java.lang.String uid)` Returns the name of the MIME file.
`void` | `renderXML(org.xml.sax.ContentHandler out, java.lang.String uid)` Render nothing.
`void` | `reportDownloadError(java.lang.Exception e)` Let the channel know that there were problems with the download

Methods inherited from class org.jasig.portal.channels.BaseMultithreadedChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

Constructor Detail

### CPersonAttributes

    public CPersonAttributes()

Method Detail

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out,
                          java.lang.String uid)
                   throws PortalException

  Description copied from class: `BaseMultithreadedChannel`
  Render nothing.

  Specified by:
    `renderXML` in interface `IMultithreadedChannel`
  Overrides:
    `renderXML` in class `BaseMultithreadedChannel`
  Parameters:
    `out` - the content handler to which the channel sends SAX events
    `uid` - a unique ID used to identify the state of the channel
  Throws:
    `PortalException`

### getContentType

    public java.lang.String getContentType(java.lang.String uid)

  Returns the MIME type of the content.

  Specified by:
    `getContentType` in interface `IMultithreadedMimeResponse`

### getInputStream

    public java.io.InputStream getInputStream(java.lang.String uid)
                                       throws java.io.IOException

  Returns the MIME content in the form of an input stream. Returns null if the code needs the OutputStream object

  Specified by:
    `getInputStream` in interface `IMultithreadedMimeResponse`
  Throws:
    `java.io.IOException`

### downloadData

    public void downloadData(java.io.OutputStream out,
                             java.lang.String uid)
                      throws java.io.IOException

  Pass the OutputStream object to the download code if it needs special handling (like outputting a Zip file). Unimplemented.

  Specified by:
    `downloadData` in interface `IMultithreadedMimeResponse`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName(java.lang.String uid)

  Returns the name of the MIME file.

  Specified by:
    `getName` in interface `IMultithreadedMimeResponse`

### getHeaders

    public java.util.Map getHeaders(java.lang.String uid)

  Returns a list of header values that can be set in the HttpResponse. Returns null if no headers need to be set.

  Specified by:
    `getHeaders` in interface `IMultithreadedMimeResponse`

### reportDownloadError

    public void reportDownloadError(java.lang.Exception e)

  Let the channel know that there were problems with the download

  Specified by:
    `reportDownloadError` in interface `IMultithreadedMimeResponse`
  Parameters:
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD